/*
 *  Copyright © 2016 Oracle and/or its affiliates. All rights reserved.
 *  This software is dual-licensed to you under the MIT License (MIT) and
 *  the Universal Permissive License (UPL). See the LICENSE file in the root
 *  directory for license terms. You may choose either license, or both.
 */

import Foundation
import UIKit

class Devices {
    var deviceType: String?
    var device: String?
    var deviceId: String?
    init(deviceData: [String: String]) {
        if let dt = deviceData["deviceType"] {
            deviceType = dt
        }
        if let d = deviceData["device"] {
            device = d
        }
    }
    init(dT: String, d: String, dI: String) {
        deviceType = dT
        device = d
        deviceId = dI
    }
}

